Description

Associated revisions
Revision a7f4c306 - 07/27/2011 01:44 AM - J. Moringen
Initial Client/Server implementation in rsb/patterns/__init__.py
refs #439
    -  rsb/patterns/__init__.py: new module; contains initial

  implementations of Method, Server, Call, RemoteMethod and
  RemoteServer classes

Revision 29be1b6e - 07/29/2011 09:39 PM - J. Moringen
Improved initialization/deactivation in rsb/patterns/__init__.py
refs #439
    -  rsb/patterns/__init__.py: added Method.deactivate

  and Server.deactivate; added scope parameter to Server.__init__ and
  RemoteServer.__init__; added LocalServer class

Revision 98a8cbd2 - 07/30/2011 07:24 PM - J. Moringen
Added error handling, local methods in rsb/patterns/__init__.py
refs #439
    -  rsb/patterns/__init__.py: added exception classes RemoteCallError,

  TimeoutError and RemoteExecutionError; added
  LocalServer.{addMethod,removeMethod} and LocalMethod; made Call do
  something useful; initial working versions of RemoteMethod and
  RemoteServer

Revision 7cd95a31 - 07/30/2011 09:18 PM - J. Moringen
Added types to Method classes in integrationtest/rsb/patterns/__init__.py
refs #439
    -  integrationtest/rsb/patterns/__init__.py: added requestType and

  replyType to Method class and constructors of subclasses; added some
  documentation strings

Revision 259f9f33 - 07/31/2011 07:05 PM - J. Moringen
Initial working local server in rsb/patterns/__init__.py
refs #439
    -  rsb/patterns/__init__.py: fixed listener creation and reply

  construction in LocalMethod; added some documentation strings in
  LocalServer, Call and RemoteMethod; added fixed types for newly
  created RemoteMethods as a hack

Revision 1454c394 - 07/31/2011 10:35 PM - J. Moringen
Implemented create{Server,RemoteServer} in rsb/__init__.py
refs #439
    -  rsb/__init__.py: implemented createServer and createRemoteServer;

  added documentation strings

Revision b2821961 - 07/31/2011 10:37 PM - J. Moringen
Added documentation in rsb/patterns/__init__.py
refs #439
    -  rsb/patterns/__init__.py: added documentation strings to LocalMethod

  and constructors of Method and Server

Revision e440ba4a - 07/31/2011 11:40 PM - J. Moringen
Added methods property to Server class in rsb/patterns/__init__.py
refs #439
    -  rsb/patterns/__init__.py: added getMethods method and read-only

  methods property to Server class

Revision 1892d3de - 07/31/2011 11:51 PM - J. Moringen
Extended createServer in rsb/__init__.py
refs #439
    -  rsb/__init__.py: added keyword parameters object, expose and methods

  for conveniently specifying an initial set of methods to the
  createServer function

Revision b05d8ace - 08/01/2011 01:27 AM - J. Moringen
Handle callback errors in rsb/patterns/__init__.py
refs #439
    -  rsb/patterns/__init__.py: handle exceptions raised from implementing

  callback in LocalMethod._handleRequest

Revision 54db7055 - 08/04/2011 10:28 PM - J. Moringen
Added request/reply examples in examples/{client,server}.py
refs #439
    -  examples/client.py: new file; example usage of LocalServer class
    -  examples/server.py: new file; example usage of RemoteServer class

History
#1 - 07/25/2011 06:08 PM - S. Wrede
- Target version changed from rsb-0.10 to 0.4

#2 - 07/25/2011 07:34 PM - J. Moringen
- Status changed from New to In Progress
- Assignee changed from J. Wienke to J. Moringen
#3 - 07/30/2011 11:46 PM - J. Moringen
- % Done changed from 0 to 80

#4 - 08/03/2011 11:36 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 80 to 100
